import { get, set } from "./schedule.js";
function durationFunction(e, r) {
	return function() {
		set(this, e).duration = +r.apply(this, arguments);
	};
}
function durationConstant(e, r) {
	return r = +r, function() {
		set(this, e).duration = r;
	};
}
function duration_default(n) {
	var i = this._id;
	return arguments.length ? this.each((typeof n == "function" ? durationFunction : durationConstant)(i, n)) : get(this.node(), i).duration;
}
export { duration_default as default };
